OpenVDB 7.0.0

Classes | Namespaces | Functions
LevelSetRebuild.h File Reference
`#include <openvdb/Grid.h>`
`#include <openvdb/Exceptions.h>`
`#include <openvdb/math/Math.h>`
`#include <openvdb/math/Transform.h>`
`#include <openvdb/tools/VolumeToMesh.h>`
`#include <openvdb/tools/MeshToVolume.h>`
`#include <openvdb/util/NullInterrupter.h>`
`#include <openvdb/util/Util.h>`
`#include <tbb/blocked_range.h>`
`#include <tbb/parallel_for.h>`
`#include <type_traits>`

Go to the source code of this file.

## Classes
class | PointListTransform
class | PrimCpy

## Namespaces
| openvdb
| openvdb::v7_0
| openvdb::v7_0::tools
| openvdb::v7_0::tools::internal

## Functions
template<class GridType >
GridType::Ptr | levelSetRebuild (const GridType &grid, float isovalue=0, float halfWidth=float(LEVEL_SET_HALF_WIDTH), const math::Transform *xform=nullptr)
| Return a new grid of type `GridType` that contains a narrow-band level set representation of an isosurface of a given grid. More...
template<class GridType >
GridType::Ptr | levelSetRebuild (const GridType &grid, float isovalue, float exBandWidth, float inBandWidth, const math::Transform *xform=nullptr)
| Return a new grid of type `GridType` that contains a narrow-band level set representation of an isosurface of a given grid. More...
template<class GridType , typename InterruptT >
GridType::Ptr | levelSetRebuild (const GridType &grid, float isovalue, float exBandWidth, float inBandWidth, const math::Transform *xform=nullptr, InterruptT *interrupter=nullptr)
| Return a new grid of type `GridType` that contains a narrow-band level set representation of an isosurface of a given grid. More...